#include<iostream>
using namespace std;
void brcif(unsigned long long a,unsigned long long &x,unsigned long long &y){
    y=1;x=0;
    while(a!=0){
        a=a/10;
        x++;
        y*=10;
    }
}
unsigned long long max(unsigned long long a,unsigned long long b,unsigned long long c){
    if(a>=b && a>=c)
        return a;
    else if(b>=a && b>=c)
        return b;
    else
        return c;
}
int main(){
    unsigned long long ax,bx,cx,a,b,c,ad,bd,cd,ac,bc,cc,x,y,p;
    cin>>a>>b>>c;
    brcif(a,x,y);
    ac=x;ad=y;
    brcif(b,x,y);
    bc=x;bd=y;
    brcif(c,x,y);
    cc=x;cd=y;
    if(ac>=bc && ac>=cc){
        ax=a;
        bx=b*ad/bd;
        cx=c*ad/cd;
    }
    else if(bc>=ac && bc>=cc){
        ax=a*bd/ad;
        bx=b;
        cx=c*bd/cd;
    }
    else if(cc>=ac && cc>=bc){
        ax=a*cd/ad;
        bx=b*cd/bd;
        cx=c;
    }
    else{
        ax=a;
        bx=b;
        cx=c;
    }
    if(ac==1)
        ax+=9.99;
    if(bc==1)
        bx+=9.99;
    if(cc==1)
        cx+=9.99;
    if(max(ax,bx,cx)==ax){
        cout<<a;
        if(max(bx,cx)==bx)
            cout<<b<<c;
        else
            cout<<c<<b;
        return 0;
    }

    if(max(ax,bx,cx)==bx){
        cout<<b;
        if(max(ax,cx)==ax)
            cout<<a<<c;
        else
            cout<<c<<a;
        return 0;
    }
    if(max(ax,bx,cx)==cx){
        cout<<c;
        if(max(bx,ax)==bx)
            cout<<b<<a;
        else
            cout<<a<<b;
        return 0;
    }
    return 0;
}